#! /usr/bin/env python3.3
"""Exception thrown by p4gf_env_config when P4GF_ENV names non-existant path."""

from p4gf_const import P4GF_ENV_NAME


class MissingConfigPath(Exception):

    """Exception thrown when P4GF_ENV names missing file."""

    def __init__(self, filename):
        """Initialize MissingConfigPath instance."""
        self.filename = filename
        self.message = "Git Fusion environment: path {0} in {1} does not exist.".format(
            self.filename, P4GF_ENV_NAME)
        super(MissingConfigPath, self).__init__(self.message)

    def __str__(self):
        """Return string of this."""
        return self.message
